﻿<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" doctype-system="http://www.w3.org/TR/html4/strict.dtd" doctype-public="-//W3C//DTD HTML 4.01//EN" indent="yes" /> 
    <xsl:template match="/">
        <html xml:lang="en">
            <head>
                <link media="all" href="css/styles.css" type="text/css" rel="stylesheet"/>
            </head>
            <body>
                <div class="main" id="background">


                    <!-- The menu starts here -->
                    <ul class="menu2">
                        <xsl:for-each select="menu/top">
                            <li class="top">
                                <a class="top_link">
                                    <xsl:attribute name="href">
                                        <xsl:value-of select="@url"/>
                                    </xsl:attribute>
                                    <span>
                                        <xsl:value-of select="@title"/>
                                    </span>
                                    <b>
                                      <xsl:if test="count(link) > 0">
                                        <xsl:attribute name="class">down</xsl:attribute>
                                      </xsl:if>
                                    </b>
                                </a>

                                <xsl:call-template name="nested_levels">
                                    <xsl:with-param name="level" select="1"/>
                                </xsl:call-template>

                            </li>
                        </xsl:for-each>
                    </ul>
                </div>
                <xsl:comment>Copyright: AndrewP</xsl:comment>
                <hr style="clear:both;" />
                <h4>
                    <a href="http://www.script-tutorials.com/creating-multilevel-menu-using-xslt/">back to original article page</a>
                </h4>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="nested_levels">
        <xsl:param name="level" select="0"/>
        <xsl:if test="count(link) > 0">
            <ul>
                <xsl:if test="$level = 1">
                    <xsl:attribute name="class">sub</xsl:attribute>
                </xsl:if>

                <xsl:for-each select="link">
                    <li>
                        <xsl:choose>
                        <xsl:when test="count(link) = 0 and position()=1">
                            <xsl:attribute name="class">subtop</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="count(link) &gt; 0 and position()=1">
                            <xsl:attribute name="class">flytop</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="count(link) &gt; 0 and not(position()=last())">
                            <xsl:attribute name="class">fly</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="count(link) = 0 and position()=last()">
                            <xsl:attribute name="class">subbot</xsl:attribute>
                        </xsl:when>
                        <xsl:when test="count(link) &gt; 0 and position()=last()">
                            <xsl:attribute name="class">flybot</xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                        </xsl:choose>

                        <a>
                            <xsl:attribute name="href">
                                <xsl:value-of select="@url"/>
                            </xsl:attribute>
                            <xsl:value-of select="@title"/>
                            <xsl:value-of select="$level"/>
                        </a>

                        <xsl:call-template name="nested_levels">
                            <xsl:with-param name="level" select="$level + 1"/>
                        </xsl:call-template>

                    </li>
                </xsl:for-each>
            </ul>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>